Where find it

Discussion in 'AutoCAD' started by Adesu, May 26, 2004.

  1. Adesu

    Adesu Guest

    Command: (entmake '((0 . "CIRCLE") (62 . 1) (10 4.0 4.0 0.0) (40 . 1.0)))
    ((0 . "CIRCLE") (62 . 1) (10 4.0 4.0 0.0) (40 . 1.0))

    Can you inform to me,where I find it in "help" or sites ,and what name of
    title for this code
    (0.xxx) ---> 0. is indicate as ???
    (62.xxx) ----> 62. is indicate as ???
    (40.xxx) ----->40. is indicate as ???
    etc
    Thanks for your reply
    Best regards
    Ade Suharna
     
    Adesu, May 26, 2004
    #1
  2. Adesu

    Adesu Guest

    Hi Jeff,thanks a lot

     
    Adesu, May 26, 2004
    #2
  3. Adesu

    JRWalker Guest

    JRWalker, May 26, 2004
    #3
  4. Adesu

    Adesu Guest

    Adesu, May 27, 2004
    #4
  5. Adesu

    DEVItG Guest

    Look at here

    0 stand for entity , LINE CIRCLE ARC or whatsover
    40 , in this case ,CIRCLE, is radious
    62 is color, red, in this case



    http://www.jefferypsanders.com/autolispexp_enti.html




    Gabriel CALÓS DE VIT Ducasse 948 CORDOBA ARGENTINA TE 0351-472-2677 CELULAR
    156-575-497
     
    DEVItG, May 28, 2004
    #5
  6. Adesu

    Paul Turvill Guest

    You can't use degrees in DXF code fields. You must convert to radians. 45
    deg is (/ pi 4.0) radians. You also can skip field 5, since that's the
    handle, and AutoCAD supplies it automatically.
    ___
     
    Paul Turvill, May 28, 2004
    #6
  7. Adesu

    David Kozina Guest

    Adesu,

    FYI, if you want to use Paul's expression, you will need to enclosed it all
    within a list of dotted pairs, not a quoted list...

    (entmake
    (list
    '(0 . "ARC")
    '(100 . "AcDbEntity")
    '(67 . 0)
    '(410 . "Model")
    '(8 . "0")
    '(100 . "AcDbCircle")
    '(10 10.0 10.0 0.0)
    '(40 . 4.07603)
    '(210 0.0 0.0 1.0)
    '(100 . "AcDbArc")
    '(50 . 0.0)
    (cons 51 (/ PI 4.0))
    )
    )


    Also, *PLEASE* look into using ActiveX for this.
    It will likely be easier for you to comprehend... faster.

    (setq _obj
    (vlax-invoke-method
    (vlax-get-property
    (vlax-get-property
    (vlax-get-acad-object)
    'ActiveDocument
    )
    'ModelSpace
    )
    'AddArc
    (vlax-3d-point '(10.0 10.0 0.0))
    4.07603
    0.0
    (/ PI 4.0)
    )
    );_end setq

    (vlax-put-property 'Layer _obj "0")


    hth,
    David Kozina
    (note: above code not tested, but it should be fairly close)
     
    David Kozina, May 28, 2004
    #7
  8. Adesu

    Adesu Guest

    Hi David,thanks a lot too

     
    Adesu, May 28, 2004
    #8
  9. Adesu

    Adesu Guest

    Hi David,why can't change like this (51 . (angtof "45"))
     
    Adesu, May 28, 2004
    #9
  10. Adesu

    Paul Turvill Guest

    You may, if you wish. However, David's caution still applies; you must use

    (cons 51 (angtof "45"))
    within a (list ...) function, and not
    '(51 . (angtof "45"))

    The reason is that the ' function is equivalent to (quote ...) and tells
    AutoLISP (or VLisp) to interpret what follows *literally* without doing any
    internal manipulations or calculations.
    ___
     
    Paul Turvill, May 28, 2004
    #10
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.